include:
  - project: 'REPLACE_EXAMPLE_SPECIFIC_GITLAB_PROJECTNAME'
    file: '/gitlab-ci/blank/.base-ci.yml'

variables:
  PROJECT_NAME: "REPLACE_EXAMPLE_PROJECTNAME"
  PROJECT_VERSION: "1.0.0"

stages:
  - build
  - test
  - package
  - deploy

build:
  stage: build
  extends: .echo_template

test:
  stage: test
  extends: .echo_template

package:
  stage: package
  extends: .echo_template
  
deploy:
  stage: deploy
  extends: .docker_login_template
  script:
    - docker build . --tag "$LOWERCASE_IMAGE_URL"
    - docker push "$LOWERCASE_IMAGE_URL"
  only:
    - /^deploy-docker-.*$/